cabal- won't build with ghc-6.6.1 in WinXP

Duncan Coutts duncan.coutts at
Thu Jan 22 17:17:45 EST 2009

On Thu, 2009-01-22 at 11:56 +0000, Alistair Bayley wrote:
> I'm trying to build cabal- with ghc-6.6.1 on WinXP. "setup -v
> setup: fdGetMode: invalid argument (Invalid argument)
> Any clues as to what might be wrong? There are no buildinfo files
> produced, so I can't just ignore and proceed with setup build.

Thanks for the bug report. I filed the details here:

I've pushed a patch to Cabal HEAD. Would you mind checking that it fixes
the issue for you and I'll push the fix to the 1.6 branch so that it'll
get into the upcomming release.



More information about the Libraries mailing list